> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payment page



## OpenAPI

````yaml /openapi.json post /api/v1/payment-pages
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/payment-pages:
    post:
      tags:
        - Payment Pages
      summary: Create a payment page
      operationId: PaymentPagesController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentPageDto'
      responses:
        '201':
          description: Payment page created successfully.
        '400':
          description: Validation failed or the request body/params were malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '409':
          description: The resource already exists or is in a conflicting state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    CreatePaymentPageDto:
      type: object
      properties:
        title:
          type: string
          example: Summer Sale Checkout
        description:
          type: string
          example: Pay for your order securely.
        status:
          type: string
          enum:
            - draft
            - active
            - inactive
        slug:
          type: string
          description: Custom slug. Auto-generated from title if omitted.
          example: summer-sale-x9k2
        currency:
          type: string
          description: ISO currency code
          example: USD
        amount:
          type: number
          description: Amount
          example: 50
      required:
        - title
        - status
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````